#~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*#
# constants.tcl                                                            #
#                                                                          #
# Description:                                                             #
#                                                                          #
#     This Tcl/Tk script defines colors and global values that are used    #
#     throughout the interface.                                            #
#                                                                          #
# Changes:                                                                 #
#                                                                          #
#     09/20/99  arvo    Split off from Train.tcl.                          #
#                                                                          #
#--------------------------------------------------------------------------#
# Copyright (C) 1999, James Arvo                                           #
#                                                                          #
# This program is free software; you can redistribute it and/or modify it  #
# under the terms of the GNU General Public License as published by the    #
# Free Software Foundation.  See http://www.fsf.org/copyleft/gpl.html      #
#                                                                          #
# This program is distributed in the hope that it will be useful, but      #
# WITHOUT EXPRESS OR IMPLIED WARRANTY of merchantability or fitness for    #
# any particular purpose.  See the GNU General Public License for more     #
# details.                                                                 #
#                                                                          #
#~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*~*#

#
# Define frequently-used colors.
#
set colors(background)         #cdc8b1
set colors(entry)              #ffd1d1
set colors(bar-normal)         blue
set colors(bar-hilite)         orange
set colors(rec)                #66cdb0
set colors(group)              #ba75d3
set colors(train)              #ff6540
set colors(lite-gray)          #c9c9c9
set colors(lite-red)           #ffb0c0

#
# Establish the overall color scheme & appearance.
#
option add *visual             best
option add *highlightThickness 0 
option add *background         $colors(background)
option add *highlightcolor     #ff0000
option add *activeBackground   #f6f6ce
option add *disabledBackground #eee8cd
option add *disabledForeground #8b8878
option add *selectForeground   #000000
option add *selectBackground   #e8c2a0
option add *troughColor        #b3ac8c

#
# Constants defining canvas sizes, etc.
#
set canv(main-width)    350
set canv(main-height)   250
set canv(prof-width)    400
set canv(prof-height)   150
set font(normal)        {courier 12 {bold}}
set font(big)           {times   14 {italic}}
set font(bold)          {times   14 {bold}}
set font(times)         {times   12}
set coord(x)            ""
set coord(y)            ""
set SymbName            ""
set timer(id)           ""
set timer(delay)        60
set toggle(mode)        none
set numsym(label)       "Number of Symbols:"
set numsym(total)       0
set stats(column-width) 20
set stats(chart-height) 300
set stats(scale)        [expr 0.30 * $stats(chart-height)]
set stats(offset)       [expr $stats(chart-height) / 2]
set train(new)          0

