/***************************************************************************
* Circle.C                                                                 *
*                                                                          *
*   Changes:                                                               *
*                                                                          *
*       05/12/98    arvo    Broken out into a separate module.             *
*       07/09/96    arvo    Initial coding.                                *
*                                                                          *
***************************************************************************/

#include <util/Circle.h>

const Circle Circle::Null;

Vec2 Circle::Closest( const Vec2 &p ) const
    {
    Vec2 R = p - center;
    float len = TwoNorm( R );
    if( len == 0.0 ) return Vec2( 0, diameter * 0.5 );
    return R * ( 0.5 * diameter / len ) + center;
    }

int Circle::Inside ( const Vec2 &p, float tol ) const
    {
    return 2.0 * dist( p, center ) < diameter + tol;
    }

