/* *************************************************************************
* Copyright (c) 1999, Steve Smithies                                       *
*                                                                          *
* This program is free software; you can redistribute it and/or modify it  *
* under the terms of the GNU General Public License as published by the    *
* Free Software Foundation.  See http://www.fsf.org/copyleft/gpl.html      *
*                                                                          *
* This program is distributed in the hope that it will be useful, but      *
* WITHOUT EXPRESS OR IMPLIED WARRANTY of merchantability or fitness for    *
* any particular purpose.  See the GNU General Public License for more     *
* details.                                                                 *
*                                                                          *
***************************************************************************/
#ifndef _INTLIST_H_
#define _INTLIST_H_

class IntList {
 public:
  IntList();			// Constructor - master of construction
  ~IntList();			// Destructor - master of destruction
  void AddItem( const int );	// Add item to the end of the list

  int Length () const { return LengthUsed; } // Return length of list
  int Item (int n) const { return List[n]; } // Return the nth item
  void Remove (int n);		// Remove all items with value n
  void Clear (); // "Empty" the list
  void RemoveItem(const int n);	// Remove the nth item
  IntList &operator=(IntList &what);

 private:
  int *List;
  int LengthUsed;
  int LengthAllocated;
  void IncreaseAllocation(void);

};


#endif
